Skip to main content
PATCH
Editar aula

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

courseId
string
required
Required string length: 1 - 128
lessonId
string
required
Required string length: 1 - 128

Body

application/json
slug
string
Required string length: 1 - 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
title
string
Required string length: 1 - 200
summary
string
default:""
Maximum string length: 2000
body
string[]
Maximum array length: 200
Required string length: 1 - 20000
kind
enum<string>
default:video
Available options:
video,
reading
durationSeconds
integer
default:0
Required range: 0 <= x <= 86400
youtubeVideoId
string | null
Maximum string length: 2048
releaseAfterDays
integer | null
Required range: 0 <= x <= 36500
imageAlt
string | null
Maximum string length: 500

Response

Default Response

success
boolean
required

Sempre true em uma resposta bem-sucedida.

data
object
required